# [A11y Dialog](https://a11y-dialog.netlify.app)

This is a lightweight (1.4Kb) yet flexible script to create accessible dialog windows.

- [Documentation ↗](https://a11y-dialog.netlify.app)
- [Demo on CodeSandbox ↗](https://codesandbox.io/s/a11y-dialog-v8-5gqfz8)

## Features

- Follows the [Dialog (Modal) pattern](https://www.w3.org/WAI/ARIA/apg/patterns/dialogmodal/) from the ARIA Authoring Practices Guide (APG)
- Supports [alert dialogs](https://w3c.github.io/aria/#alertdialog) as per the WAI-ARIA specifications
- Supports nested dialogs (however questionable)
- Exposes events to react to changes
- Provides both a DOM and a JavaScript API
- Plays nicely with Shadow DOM
- Is unopinionated with styling
- Is extensively tested and documented
- Is fast and tiny

## Contributing

Contributing guidelines can be found in [CONTRIBUTING.md](https://github.com/KittyGiraudel/a11y-dialog/blob/main/CONTRIBUTING.md)
